package com.mortals.xhx.module.staff.dao.ibatis;


import com.mortals.framework.dao.ibatis.BaseCRUDDaoMybatis;
import com.mortals.xhx.module.staff.dao.StaffDao;
import com.mortals.xhx.module.staff.model.StaffEntity;
import org.springframework.stereotype.Repository;

import java.util.List;
/**
* 员工基本信息DaoImpl DAO接口
*
* @author zxfei
* @date 2023-04-07
*/
@Repository("staffDao")
public class StaffDaoImpl extends BaseCRUDDaoMybatis<StaffEntity,Long> implements StaffDao {


    @Override
    public List<StaffEntity> queryAllList() {
        return this.getList(new StaffEntity());
    }

    @Override
    public int queryInWork() {
        return this.getSqlSession().selectOne(this.getSqlId("queryInWork"));
    }

    @Override
    public int queryFull() {
        return this.getSqlSession().selectOne(this.getSqlId("queryFull"));
    }

    @Override
    public int queryPricate() {
        return this.getSqlSession().selectOne(this.getSqlId("queryPricate"));
    }


    @Override
    public int queryOnTrial() {
        return this.getSqlSession().selectOne(this.getSqlId("queryOnTrial"));
    }

    @Override
    public int queryFormal() {
        return this.getSqlSession().selectOne(this.getSqlId("queryFormal"));
    }

    @Override
    public int queryConcurrently() {
        return this.getSqlSession().selectOne(this.getSqlId("queryConcurrently"));
    }

    @Override
    public int queryPersonNum(Long deptId) {
        return this.getSqlSession().selectOne(this.getSqlId("queryPersonNum"),deptId);
    }

    @Override
    public StaffEntity queryHik(String remarkId) {
        return this.getSqlSession().selectOne(this.getSqlId("queryHik"),remarkId);
    }


}
